Bug 1848781 - [Azure][4.6] Private cluster installation fails with Cluster operator monitoring is still updating
Summary: [Azure][4.6] Private cluster installation fails with Cluster operator monitor...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Abhinav Dahiya
QA Contact: Etienne Simard
URL:
Whiteboard:
Depends On:
Blocks: 1848106
TreeView+ depends on / blocked
 
Reported: 2020-06-19 00:09 UTC by Scott Dodson
Modified: 2020-10-27 16:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1848106
Environment:
Last Closed: 2020-10-27 16:08:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3324 0 None closed azure: add OutboundType for controlling egress 2020-11-24 22:41:29 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:08:29 UTC

Comment 1 Scott Dodson 2020-06-19 00:10:15 UTC
This was fixed on master via https://github.com/openshift/installer/pull/3324 which implemented an outbound load balancer which is a new feature in 4.6. Cloned this bug so that we independently verify the fix in 4.6.

Comment 2 Etienne Simard 2020-06-19 20:00:34 UTC
I could not verify this with the latest nightly again because we were still missing openshift/machine-api-operator#616 but we should have a build available to verify it soon.

Comment 5 Etienne Simard 2020-06-22 23:55:45 UTC
Verified with: 4.6.0-0.nightly-2020-06-22-222207

I was able to provision a private cluster on Azure with that build, without errors. No other issue was detected during basic health checks.

~~~

$ oc get nodes
NAME                                           STATUS   ROLES    AGE   VERSION
qesimardpvt462-s4zjm-master-0                  Ready    master   34m   v1.18.3+e1ba7b6
qesimardpvt462-s4zjm-master-1                  Ready    master   34m   v1.18.3+e1ba7b6
qesimardpvt462-s4zjm-master-2                  Ready    master   33m   v1.18.3+e1ba7b6
qesimardpvt462-s4zjm-worker-centralus1-p6gd4   Ready    worker   18m   v1.18.3+e1ba7b6
qesimardpvt462-s4zjm-worker-centralus2-8z6h7   Ready    worker   19m   v1.18.3+e1ba7b6
qesimardpvt462-s4zjm-worker-centralus3-j6bcm   Ready    worker   18m   v1.18.3+e1ba7b6

$ oc get co
NAME                                       VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
authentication                             4.6.0-0.nightly-2020-06-22-222207   True        False         False      10m
cloud-credential                           4.6.0-0.nightly-2020-06-22-222207   True        False         False      37m
cluster-autoscaler                         4.6.0-0.nightly-2020-06-22-222207   True        False         False      25m
config-operator                            4.6.0-0.nightly-2020-06-22-222207   True        False         False      26m
console                                    4.6.0-0.nightly-2020-06-22-222207   True        False         False      13m
csi-snapshot-controller                    4.6.0-0.nightly-2020-06-22-222207   True        False         False      16m
dns                                        4.6.0-0.nightly-2020-06-22-222207   True        False         False      31m
etcd                                       4.6.0-0.nightly-2020-06-22-222207   True        False         False      31m
image-registry                             4.6.0-0.nightly-2020-06-22-222207   True        False         False      17m
ingress                                    4.6.0-0.nightly-2020-06-22-222207   True        False         False      16m
insights                                   4.6.0-0.nightly-2020-06-22-222207   True        False         False      26m
kube-apiserver                             4.6.0-0.nightly-2020-06-22-222207   True        False         False      30m
kube-controller-manager                    4.6.0-0.nightly-2020-06-22-222207   True        False         False      30m
kube-scheduler                             4.6.0-0.nightly-2020-06-22-222207   True        False         False      29m
kube-storage-version-migrator              4.6.0-0.nightly-2020-06-22-222207   True        False         False      16m
machine-api                                4.6.0-0.nightly-2020-06-22-222207   True        False         False      23m
machine-approver                           4.6.0-0.nightly-2020-06-22-222207   True        False         False      26m
machine-config                             4.6.0-0.nightly-2020-06-22-222207   True        False         False      23m
marketplace                                4.6.0-0.nightly-2020-06-22-222207   True        False         False      26m
monitoring                                 4.6.0-0.nightly-2020-06-22-222207   True        False         False      14m
network                                    4.6.0-0.nightly-2020-06-22-222207   True        False         False      32m
node-tuning                                4.6.0-0.nightly-2020-06-22-222207   True        False         False      33m
openshift-apiserver                        4.6.0-0.nightly-2020-06-22-222207   True        False         False      27m
openshift-controller-manager               4.6.0-0.nightly-2020-06-22-222207   True        False         False      24m
openshift-samples                          4.6.0-0.nightly-2020-06-22-222207   True        False         False      25m
operator-lifecycle-manager                 4.6.0-0.nightly-2020-06-22-222207   True        False         False      32m
operator-lifecycle-manager-catalog         4.6.0-0.nightly-2020-06-22-222207   True        False         False      32m
operator-lifecycle-manager-packageserver   4.6.0-0.nightly-2020-06-22-222207   True        False         False      27m
service-ca                                 4.6.0-0.nightly-2020-06-22-222207   True        False         False      33m
storage                                    4.6.0-0.nightly-2020-06-22-222207   True        False         False      26m
~~~

Comment 7 errata-xmlrpc 2020-10-27 16:08:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.